#ifndef DPCONFIGURATIONDIALOG_H
#define DPCONFIGURATIONDIALOG_H

#include <QDialog>

QT_BEGIN_NAMESPACE
namespace Ui {
class dpConfigurationDialog;
}
QT_END_NAMESPACE

class DataPanel;

class dpConfigurationDialog : public QDialog
{
    Q_OBJECT

public:
    dpConfigurationDialog(QWidget *parent = nullptr);
    ~dpConfigurationDialog();

    void setPanel(DataPanel*);

signals:
    void sgl_hide();

public slots:
    void onBtnClicked_tabBtn();
    void onBtnClicked_confirm();
    void onBtnClicked_cancle();

private:
    void initialize();

    Ui::dpConfigurationDialog*  ui;
    QPushButton*                m_curActiveTab;

    DataPanel*                  m_pDataPanel;
};


#endif
